# ESTKme 2025 智能卡产品固件升级注意事项

产品固件升级是为了解决产品在使用过程中出现的问题，或者为了增加新的功能，提高产品的性能和稳定性。

升级产品固件您需要将卡片插入到 智能卡读卡器 中，然后将 智能卡读卡器 连接至 电脑 上。

例如使用：ESTKme-RED (https://www.estk.me/product/estkme-red/)

## 适用于的产品

1. ESTKme-MEG (2025)
2. ESTKme-ESS (2025)
3. ESTKme-DRO (2025)
4. ESTKme-AIR (2025)

## 适用于的 Bootloader 版本

1. T003V03

## 产品固件升级的方法

您可以通过以下方法将产品的固件升级到最新版本：

若您的电脑系统为 Windows，那么您应当运行 `fwupgrade.bat`。

若您的电脑系统为 macOS，那么您应当运行 `fwupgrade.command`。

若您的电脑系统为 Linux，那么您应当运行 `fwupgrade.sh`。

## 升级失败

1. 若使用 ESTKme-RED 升级失败，请注意您的 ESTKme-RED 智能卡读卡器固件是否为 1.1.3 或高于版本。
2. 若您正在使用 Windows，请不要使用管理员权限运行升级工具。
3. 请确保您处在正确的工作目录下，升级工具会自动检测固件文件。

## 致 macOS 用户

由于 macOS 的安全机制，您请在运行前阅读 <https://support.apple.com/zh-cn/guide/mac-help/mh40616/mac> 并按指示操作。
