@ECHO OFF
TITLE ESTKme-2025 - Card Info
SETLOCAL ENABLEDELAYEDEXPANSION

IF "%PROCESSOR_ARCHITECTURE%" == "ARM64" (
    SET "EDITION=arm64"
) ELSE (
    SET "EDITION=x86"
)

SET "FWUPD=%~dp0bin\fwupd-%EDITION%.exe"

IF NOT EXIST "%FWUPD%" (
    ECHO fwupd not found at %FWUPD%
    EXIT /b 1
)

"%FWUPD%" info

PAUSE
